Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JAnnotationMethod

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JAbstractMethod
          com.google.gwt.core.ext.typeinfo.JMethod
              com.google.gwt.core.ext.typeinfo.JAnnotationMethod

All Implemented Interfaces:
  HasAnnotations, HasMetaData, HasTypeParameters

    public class JAnnotationMethod

extends JMethod

Method declared on an annotation type.

Constructor Summary
`JAnnotationMethod(JClassType enclosingType, java.lang.String name, java.lang.Object defaultValue, java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,java.lang.annotation.Annotation> declaredAnnotations)`

Method Summary
`java.lang.Object` | `getDefaultValue()` Returns the default value for this annotation method or `null` if there is not one.
`JAnnotationMethod` | `isAnnotationMethod()`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JMethod
`getEnclosingType, getReadableDeclaration, getReadableDeclaration, getReturnType, isAbstract, isConstructor, isFinal, isMethod, isNative, isStatic, setReturnType, toString`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JAbstractMethod
`addMetaData, addModifierBits, addThrows, findParameter, getAnnotation, getMetaData, getMetaDataTags, getModifierBits, getName, getParameters, getThrows, getTypeParameters, isAnnotationPresent, isDefaultAccess, isPrivate, isProtected, isPublic, isVarArgs, setVarArgs, toStringParamsAndThrows, toStringTypeParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAnnotationMethod

    public JAnnotationMethod(JClassType enclosingType,
                             java.lang.String name,
                             java.lang.Object defaultValue,
                             java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,java.lang.annotation.Annotation> declaredAnnotations)

Method Detail

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Returns the default value for this annotation method or `null` if there is not one.

  Returns:
    default value for this annotation method or `null` if there is not one

### isAnnotationMethod

    public JAnnotationMethod isAnnotationMethod()

  Overrides:
    `isAnnotationMethod` in class `JAbstractMethod`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD